Bug 19127 - Stored XSS in csv-profiles.pl
Summary: Stored XSS in csv-profiles.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Amit Gupta
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-16 12:24 UTC by Amit Gupta
Modified: 2017-10-03 07:57 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19127 - Stored XSS in csv-profiles.pl (1.69 KB, patch)
2017-08-16 12:30 UTC, Amit Gupta
Details | Diff | Splinter Review
[SIGNED OFF] Bug 19127 - Stored XSS in csv-profiles.pl (1.76 KB, patch)
2017-08-19 08:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19127 - Stored XSS in csv-profiles.pl (1.85 KB, patch)
2017-08-25 06:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19127: (follow-up) Stored XSS in csv-profiles.pl (2.26 KB, patch)
2017-09-12 14:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-16 12:24:09 UTC
Stored XSS in csv-profiles.pl
Comment 1 Amit Gupta 2017-08-16 12:30:09 UTC
Created attachment 66089 [details] [review]
Bug 19127 - Stored XSS in csv-profiles.pl

To Test
1. Hit the page /cgi-bin/koha/tools/csv-profiles.pl?op=add_form
2. Add a text in the field Profile name, Profile description
   and Profile MARC fields that contains js
3. Save the page.
4. Notice js is execute
5. Apply patch and reload, the js is escaped
Comment 2 Katrin Fischer 2017-08-19 08:55:01 UTC
Created attachment 66219 [details] [review]
[SIGNED OFF] Bug 19127 - Stored XSS in csv-profiles.pl

To Test
1. Hit the page /cgi-bin/koha/tools/csv-profiles.pl?op=add_form
2. Add a text in the field Profile name, Profile description
   and Profile MARC fields that contains js
3. Save the page.
4. Notice js is execute
5. Apply patch and reload, the js is escaped

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2017-08-25 06:40:48 UTC
Created attachment 66450 [details] [review]
Bug 19127 - Stored XSS in csv-profiles.pl

To Test
1. Hit the page /cgi-bin/koha/tools/csv-profiles.pl?op=add_form
2. Add a text in the field Profile name, Profile description
   and Profile MARC fields that contains js
3. Save the page.
4. Notice js is execute
5. Apply patch and reload, the js is escaped

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-09-12 14:21:48 UTC
Created attachment 67091 [details] [review]
Bug 19127: (follow-up) Stored XSS in csv-profiles.pl
Comment 5 Katrin Fischer 2017-09-19 21:15:39 UTC
These patches have been pushed to 16.11.x and will be in 16.11.12.
Comment 6 Fridolin SOMERS 2017-09-22 15:05:48 UTC
These patches have been pushed to 17.05.x and are in 17.05.04.
Comment 7 Jonathan Druart 2017-09-29 15:47:56 UTC
Pushed to master for 17.11, thanks to everybody involved!